Bug 867066 - Ship javadocs for jbossesb-jbpm5.jar
Summary: Ship javadocs for jbossesb-jbpm5.jar
Status: VERIFIED
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB   
(Show other bugs)
Version: 5.3.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 5.3.1
Assignee: Julian Coleman
QA Contact: Lucie Fabrikova
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-16 16:57 UTC by tcunning
Modified: 2018-03-29 21:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Javadocs were not included for the jBPM5 integration. Developers did not have the Javadoc to refer to for development purposes. The Javadocs are now included so developers have them available for reference.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3863 Major Closed Create javadoc JAR for jbpm5 integration classes 2013-01-29 01:01:14 UTC

Description tcunning 2012-10-16 16:57:50 UTC
Description of problem:
Need to create and ship javadocs for the jbpm5 integration.

Comment 1 JBoss JIRA Server 2012-10-19 17:02:40 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3863 to Resolved

Comment 2 JBoss JIRA Server 2012-10-19 17:02:40 UTC
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-3863

Create a javadoc zip and also cleaned up missing javadoc comments in source.

Comment 3 JBoss JIRA Server 2012-10-19 17:02:45 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3863 to Closed

Comment 4 tcunning 2012-10-19 20:07:15 UTC
I've added a javadoc zip that is available at 

product/services/jbpm5/build/jbossesb-jbpm5-javadoc.zip

Can the productization scripts that create the soa-jbpm5 integration pick this up during the build and add it to the soa-jbpm5-VERSION.zip?

Comment 5 Julian Coleman 2012-11-05 07:24:37 UTC
Platform build updated with r11572 of:

  soa-p/pom.xml

Commit message:

  Update version to 5.3.1 ER1.
  Update Drools/jBPM5 and ESB versions.
  Handle ESB-jBPM5 javadocs (unpack the zip).

Comment 6 Lucie Fabrikova 2012-11-21 11:44:01 UTC
Verified in SOA-P 5.3.1 ER1.


Note You need to log in before you can comment on or make changes to this bug.